# $Revision: 1.18 $, $Date: 2007-02-13 07:47:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Cache
Summary:	IPC::Cache - persisted data across process boundaries
Summary(pl.UTF-8):	IPC::Cache - zachowywanie danych między procesami
Name:		perl-IPC-Cache
Version:	0.02
Release:	6
License:	GPL v1+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f730e095f98e44c7b5a9cb5647e6db02
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(IPC::ShareLite) >= 0.06
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Cache Perl module implements an object store where data is
persisted across processes.

%description -l pl.UTF-8
Moduł Perla IPC::Cache implementuje pamięć podmiotową, zapewniającą
niezależną od procesów trwałość danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES TODO
%{perl_vendorlib}/IPC/Cache.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Cache.spec,v $
Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:27  paladine
- formatting

Revision 1.15  2004/06/05 18:10:41  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.13  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.12  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.10  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:55  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:33:42  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/03 11:21:55  qboosh
- pl summary, release 3

Revision 1.2  2002/09/21 20:58:06  radek
- informative summary
- release 2
STBR

Revision 1.1  2002/09/11 22:10:29  ankry
- new, STBR
